## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Header-only package
%global debug_package %{nil}

Name:           dragonbox
Version:        1.1.3
Release:        %autorelease
Summary:        Reference implementation of Dragonbox in C++

License:        Apache-2.0 WITH LLVM-exception OR BSL-1.0
URL:            https://github.com/jk-jeon/dragonbox
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires: gcc-c++
BuildRequires: cmake

%description
Dragonbox is a float-to-string conversion algorithm based on a beautiful
algorithm Schubfach, developed by Raffaello Giulietti in 2017-2018.
Dragonbox is further inspired by Grisu and Grisu-Exact.


%package devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%autosetup


%build
%cmake -DDRAGONBOX_INSTALL_TO_CHARS=OFF
%cmake_build


%check
# No tests provided


%install
%cmake_install


%files devel
%license LICENSE-Apache2-LLVM LICENSE-Boost
%doc README.md
%{_includedir}/%{name}-%{version}/
%{_libdir}/cmake/%{name}-%{version}/

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 04 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.3-3
- Build arch'ed

* Mon Sep 04 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.3-2
- Move noarch into subpackage

* Sat Sep 02 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.3-1
- Initial release (fedora#2224783)
## END: Generated by rpmautospec
